
/* $Id: command_source.cpp 268 2012-01-17 09:31:14Z sausage $
 * EOSERV is released under the zlib license.
 * See LICENSE.txt for more info.
 */

#include "command_source.hpp"

#include "console.hpp"

System_Command_Source::System_Command_Source(World* world)
	: world(world)
{ }

AdminLevel System_Command_Source::SourceAccess() const
{
	return ADMIN_HGM;
}

std::string System_Command_Source::SourceName() const
{
	return "server";
}

Character* System_Command_Source::SourceCharacter()
{
	return 0;
}

World* System_Command_Source::SourceWorld()
{
	return world;
}

void System_Command_Source::ServerMsg(std::string msg)
{
	Console::Out(msg);
}

void System_Command_Source::StatusMsg(std::string msg)
{
	Console::Out(msg);
}
